Globalize DB dependencies (Oracle?)


#1

Having a look at
http://wiki.rubyonrails.com/rails/pages/InternationalizationComparison
there are basically three options left (Localize seems dead,
Multilingual might be a duplicate of Globalize and plain ri18n is
probably too low level).

Unfortunatly Globalize seems to be DB dependent and there’s no Oracle
support (I renamed the “feature” in the list above). What are the
dependencies? Would it be easy to add Oracle support?

BTW: I asked this question in
http://wiki.globalize-rails.org/wiki/pages/Frequently+Asked+Questions
too.


#2

Globalize was loosely based on Multilingual, but I don’t think
Multilingual
is still under active development. Globalize is DB dependent, but
there’s no
DB-specific code in it. It may work on Oracle right now, it’s just never
been tested. It would be great if you could give it a whirl, Martin.
There
are no dependencies, just install the plugin (note that there’s a new
branch
for Rails 1.1 – details at http://globalize-rails.org/wiki), setup
vendor/plugin/globalize/test/config/database.yml (you’ll want to
configure
the “test” section), and run the tests. I’d be happy to help you out
with
any problems.

Cheers,
Josh
http://shnoo.gr


#3

Hi Joshua,

thanks for the answer. I’ll give it a try and post the results here.